import React, { useEffect, useState } from "react";
import "./App.css";
import Client from "mtproton/envs/browser";

function App() {
  let [countriesList, setcountriesList] = useState([] as any[]);
  let phone = React.createRef<HTMLInputElement>();

  useEffect(() => {
    let client = new Client({
      api_id: 18987971,
      api_hash: "fcfd9e6ed3f9e48a360bb57cc0d59d98",
    });

    client.call("help.getCountriesList").then((result: any) => {
      console.log("country:", result);
      let resp: any[] = [];
      result.countries.map((country: any) => {
        // @ts-ignore
        resp.push(
          country.default_name + ": " + country.country_codes[0].country_code
        );
        return true;
      });
      setcountriesList(resp);
    });
  }, []);

  let sendCode = () => {
    console.log("phone:", phone.current?.value);
    let client = new Client({
      api_id: 18987971,
      api_hash: "fcfd9e6ed3f9e48a360bb57cc0d59d98",
    });
    client.setDefaultDc(5);
    client
      .call("auth.sendCode", {
        phone_number: phone.current?.value,
        settings: {
          _: "codeSettings",
        },
      })
      .then((result: any) => {
        console.log("auth.sendCode:", result);
      })
      .catch((error: any) => {
        console.log("auth.sendCode:", error);
      });
  };

  let login = () => {};

  return (
    <div className="App">
      <input ref={phone} />
      <button onClick={sendCode}>登录</button>
      <input />
      <button onClick={login}>登录</button>
      {countriesList.map((country: any, index) => {
        return (
          <div key={index}>
            {country}
            <br />
          </div>
        );
      })}
    </div>
  );
}

export default App;
